import request from '@/utils/request'

// 查询用户地址列表
export function listMemberAddress(query) {
  return request({
    url: '/hezhi/memberAddress/list',
    method: 'get',
    params: query
  })
}

// 查询用户地址详细
export function getMemberAddress(memberAddressId) {
  return request({
    url: '/hezhi/memberAddress/' + memberAddressId,
    method: 'get'
  })
}

// 新增用户地址
export function addMemberAddress(data) {
  return request({
    url: '/hezhi/memberAddress',
    method: 'post',
    data: data
  })
}

// 修改用户地址
export function updateMemberAddress(data) {
  return request({
    url: '/hezhi/memberAddress',
    method: 'put',
    data: data
  })
}

// 删除用户地址
export function delMemberAddress(memberAddressId) {
  return request({
    url: '/hezhi/memberAddress/' + memberAddressId,
    method: 'delete'
  })
}
